
#   setValueFromQuery
#   -----------------
#   Set the control value to the first value retured by a query. If
#   no row is specified then the value for the current row is
#   updated
#
def setValueFromQuery (self, query, args = [], row = None) :

    import RekallPYDBI
    cursor = RekallPYDBI.connect (self, '').cursor()
    cursor.execute (query, args)

    try    : value = cursor.fetchone()[0]
    except : value = None

    if row is None : row = self.getBlock().getQueryRow()
    self.setValue (row, value)


import Rekall
setattr (Rekall.PyKBItem, 'setValueFromQuery', setValueFromQuery)
